<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.atna.AvailableTestDataSets']}</h2>

        <!--<s:token allowMultiplePosts="true"/>-->
        <h:panelGroup rendered="#{s:hasRole('admin_role')}">
            <h:form id="adminActionsForm">
                <p>
                    <h:commandButton value="#{messages['net.ihe.gazelle.atna.CreateANewDataSet']}"
                                     action="#{dataSetListManager.navigateNewDataSet()}" styleClass="gzl-btn"/>
                </p>
            </h:form>
        </h:panelGroup>

        <h:form id="filterForm">
            <!--<s:token allowMultiplePosts="true"/>-->
            #{dataTableStateHolder.setAscendingOn('name')}
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{dataSetListManager.filter.urlParameters}"/>
            <script>
                updateUrl("filterForm:filterUrlParameters");
                jq162("#filterForm\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("filterForm:filterUrlParameters");
                        });
            </script>
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>

            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <div class="form-horizontal">
                    <div class="row">
                        <div class="col-md-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter" value="#{dataSetListManager.filter}"/>
                                <ui:param name="filterId" value="dataSetName"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.Name']}"/>
                                <ui:param name="filterForm" value="filterForm,dataSetTableForm"/>
                            </ui:include>
                        </div>
                        <div class="col-md-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter" value="#{dataSetListManager.filter}"/>
                                <ui:param name="filterId" value="context"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.Context']}"/>
                                <ui:param name="filterForm" value="filterForm,dataSetTableForm"/>
                            </ui:include>
                        </div>
                    </div>
                </div>
                <ui:define name="filter_buttons">
                    <a4j:commandLink title="#{messages['net.ihe.gazelle.atna.ResetCriteria']}"
                                     actionListener="#{dataSetListManager.resetFilter()}"
                                     render="dataSetTableForm,filterForm">
                        <span class="fa fa-times-circle"></span>
                    </a4j:commandLink>
                </ui:define>
            </ui:decorate>

        </h:form>

        <h:form id="dataSetTableForm">
            <!--<s:token allowMultiplePosts="true"/>-->
            <rich:dataTable id="dataSetTable" value="#{dataSetListManager.getDataSets()}" var="dataSet"
                            rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="dataSetDS">

                <g:column sortBy="#{'name'}" sortOrder="#{dataTableStateHolder.sortOrders['name']}">
                    <ui:define name="header">#{messages['net.ihe.gazelle.audit.message.Name']}</ui:define>
                    <h:outputText value="#{dataSet.name}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">
                        <h:outputText value="#{messages['net.ihe.gazelle.atna.Context']}"/>
                    </ui:define>
                    <h:outputText value="#{dataSet.context}"/>
                </g:column>
                <g:column sortBy="#{'lastChanged'}" sortOrder="#{dataTableStateHolder.sortOrders['lastChanged']}">
                    <ui:define name="header">#{messages['net.ihe.gazelle.atna.LastChange']}</ui:define>
                    <g:date value="#{dataSet.lastChanged}"/>
                    <h:outputText value=" #{messages['net.ihe.gazelle.atna.By']} #{dataSetListManager.getUserName(dataSet.lastModifierId)}"/>
                </g:column>
                <g:column rendered="#{identity.loggedIn}">
                    <ui:define name="header">#{messages['net.ihe.gazelle.atna.Actions']}</ui:define>
                    <div class="gzl-never-wrap">

                        <a4j:commandLink action="#{dataSetListManager.setPendingDataSetId(dataSet.id)}"
                                         title="#{messages['net.ihe.gazelle.atna.ViewDataSetDetails']}"
                                         oncomplete="jq162('#viewModal').modal('show');" execute="@this"
                                         render=" :viewContent">
                            <s:span styleClass="fa fa-search"></s:span>
                        </a4j:commandLink>

                        <h:outputLink value="#{dataSetListManager.linkToEditDataSet(dataSet.id)}"
                                      title="#{messages['net.ihe.gazelle.atna.Edit']}"
                                      rendered="#{s:hasRole('admin_role')}">
                            <s:span styleClass="fa fa-pencil"></s:span>
                        </h:outputLink>

                        <a4j:commandLink action="#{dataSetListManager.setPendingDataSetId(dataSet.id)}"
                                         styleClass="text-danger" execute="@this"
                                         title="#{messages['net.ihe.gazelle.atna.DeleteDataSet']}"
                                         oncomplete="jq162('#deleteModal').modal('show');"
                                         rendered="#{s:hasRole('admin_role')}"
                                         render=" :deleteText">
                            <s:span styleClass="fa fa-trash-o"></s:span>
                        </a4j:commandLink>

                    </div>
                </g:column>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="dataSetDS"/>
                        <ui:param name="dataTableId" value="dataSetTable"/>
                    </ui:include>
                </f:facet>

            </rich:dataTable>
        </h:form>

        <h:form>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="viewModal"/>
                <ui:define name="popup_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.atna.DataSetDetails']}"/>
                </ui:define>

                <s:div id="viewContent">
                    <ui:include src="/dataset/viewPanel.xhtml">
                        <ui:param name="dataSet" value="#{dataSetListManager.getPendingDataSet()}"/>
                        <ui:param name="manager" value="#{dataSetListManager}"/>
                    </ui:include>
                </s:div>

                <ui:define name="popup_footer">
                    <h:commandButton value="#{messages['net.ihe.gazelle.atna.Close']}" styleClass="gzl-btn"
                                     actionListener="#{dataSetListManager.setPendingDataSetId(0)}"
                                     oncomplete="jq162('#viewModal').modal('hide');" execute="@this"/>
                </ui:define>
            </ui:decorate>
        </h:form>

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="deleteModal"/>
            <ui:define name="popup_title"><span class="fa fa-exclamation-triangle"></span>#{messages['net.ihe.gazelle.questionnaire.Warning']}
            </ui:define>
            <s:div id="deleteText">
                <p>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.atna.YouAreAboutToDeleteTheDataset']} #{dataSetListManager.getPendingDataSetName()}. #{messages['net.ihe.gazelle.questionnaire.ThisCanNotBeUndone']}"/>
                </p>
                <p>
                    <h:outputText value="#{messages['net.ihe.gazelle.atna.DataSetDeletionIsNotYetImplemented']}"/>
                </p>
            </s:div>
            <ui:define name="popup_footer">
                <h:form id="deleteForm">
                    <!--<s:token allowMultiplePosts="true"/>-->
                    <h:commandButton action="#{dataSetListManager.setPendingDataSetId(0)}"
                                     oncomplete="jq162('#deleteModal').modal('hide');"
                                     value="#{messages['net.ihe.gazelle.atna.Cancel']}"
                                     styleClass="gzl-btn"/>
                    <a4j:commandButton action="#{dataSetListManager.setPendingDataSetId(0)}"
                                       oncomplete="jq162('#deleteModal').modal('hide')"
                                       value="#{messages['net.ihe.gazelle.atna.Delete']}"
                                       render="gazelle-messages,browserform"
                                       styleClass="gzl-btn-red" disabled="true"/>
                </h:form>
            </ui:define>
        </ui:decorate>

    </ui:define>
</ui:composition>

